Лучшие pip вопросы ИТ разработчиков

  • 12 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Для поддержки колеса pip требуется setuptools> = 0.8 для поддержки dist-info

У меня есть сервер Jenkins, на котором работает Ubuntu, и он работает отлично, пока я его использую, и на одном из заданий он запускает несколько вещей в плагине shiningpanda (оболочка виртуальной среды Python). В какой-то момент сегодня или в ...

Задан 03 Jan 2014, 12:12 от seaders
  • 14 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Conda: установка локального пакета разработки в единую среду conda

Если бы я использовал virtualenv, я бы активировал виртуальную среду своего проекта, а затем установил пакет, который я разрабатываю, в режиме разработки. Что-то вроде следующего: workon superbad pip install -e fnawesomeЭто позволяет мой ...

Задан 05 Jan 2014, 00:34 от brent.payne
  • 7 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Как мне установить matplotlib для моего приложения AWS Elastic Beanstalk?

У меня адское время развертывания matplotlib на AWS Elastic Beanstalk.Я собираю что моя проблема проистекает из некоторых зависимостей и способа, которым EB ...

Задан 22 Jan 2015, 22:33 от orome
  • 1 голос
  • 1 ответ
  • 0 просмотров
1 ответ

Это должно решить вашу проблему

ичок в Python, я установил Python на Windows в следующем каталогеC:\Program Files\Python36, Я используюvscode как IDE, когда я пытаюсь запустить следующую команду вintegrated terminal "C:\Program Files\Python36\python" -m pip install ...

Задан 15 Oct 2017, 07:10 от N.HariHaraSudhan
  • 18 голосов
  • 7 ответов
  • 0 просмотров
7 ответов

Почему я получаю ImportError: Нет модуля с именем pip 'сразу после установки pip?

Я установил pip и ez setup. Я также проверил системный путь и вижу модуль в структуре папок. Тем не менее, когда я пытаюсь запустить команду pip, я получаю с...

Задан 17 Sep 2015, 20:07 от Deval Pandya
  • 35 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Python NameError: имя 'file' не определено

Я не знаю много о питоне. Я хочу начать работу над проектом и инструкция по установке говорит: pip install -r requirements-dev.txtПросто достаточно. Проблема в том, что я получаю это: Downloading/unpacking gunicorn==0.13.4 (from -r ...

Задан 24 May 2013, 14:02 от nickik
  • 58 голосов
  • 2 ответа
  • 0 просмотров
2 ответа

Не удалось найти версию, которая удовлетворяет требованию pytz

У меня проблема с установкойpytz в виртуальности.Скачивание / распаковка pytzНе удалось найти версию, которая удовлетворяет требованию pytz (из версий: 2009r...

Задан 14 Aug 2013, 09:50 от Houman
  • 1 голос
  • 1 ответ
  • 0 просмотров
1 ответ

Как сделать пакет Python, содержащий только шаблоны Jinja

В настоящее время у меня есть проект, в котором я сейчас пытаюсь расширить шаблоны jinja2, которые живут в пакете python, который я пытаюсь сделать. Прямо се...

Задан 19 Mar 2015, 16:35 от anthony-dandrea
  • 57 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

needs.txt в зависимости от версии Python

Я пытаюсь портировать пакет python2 на python3 (не мой), используя шесть, чтобы он был совместим с обоими. Тем не менее, один из пакетов, перечисленных в require.txt, теперь включен в python3 stdlib, а версия pypi не работает в python3, поэтому я ...

Задан 24 Oct 2013, 07:09 от aquavitae
  • 22 голосов
  • 2 ответа
  • 0 просмотров
2 ответа

pip: как установить git pull request

Я хочу установить git pull request с pip для тестирования в моем локальном virtualenv. Я хочу установить его прямо из github, не создавая локальный репозитор...

Задан 26 Nov 2012, 08:06 от guettli
  • 65 голосов
  • 10 ответов
  • 0 просмотров
10 ответов

ImportError: нет модуля с именем pip

ОС: Mac OS X 10.7.5 Python Ver: 2.7.5 Я установил setuptools 1.0 с ez_setup.py из https://pypi.python.org/pypi/setuptools [https://pypi.python.org/pypi/setuptools]Затем я скачиваю pip.1.4.1 pkg с https://pypi.python.org/pypi/pip/1.4.1 ...

Задан 21 Aug 2013, 16:34 от David Lu
  • 19 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

, Старый владелец все еще имел контроль и не давал согласия на добавление нового владельца (они просто молча удаляли его снова).

сноPEP-541 [https://www.python.org/dev/peps/pep-0541/]заброшенные проекты PyPI теперь могут быть востребованы. Кто-нибудь делал это? С кем связаться? Я попробовалсписок рассылки dist ...

Задан 29 Aug 2017, 09:19 от vidstige
  • 223 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Ссылка require.txt для install_requires kwarg в файле setuptools setup.py

у меня естьrequirements.txt файл, который я использую с Travis-CI. Кажется глупым дублировать требования в обоихrequirements.txt а такжеsetup.pyпоэтому я надеялся передать дескриптор файлаinstall_requires Kwarg вsetuptools.setup. Это возможно? ...

Задан 18 Jan 2013, 13:00 от blz
  • 19 голосов
  • 4 ответа
  • 0 просмотров
4 ответа

Как запустить pip другой версии python с помощью команды python?

Сейчас я использую Python на Ubuntu 15.10Но в моей ОС у меня установлено много разных версий Python:Python (2.7.9)Python3 (3.4.3)Python3.5PyPyИтак, я запутал...

Задан 15 Jan 2016, 01:42 от Alfred Huang
  • 1 голос
  • 1 ответ
  • 0 просмотров
1 ответ

 и я в деле. Gracias!

ановил Fabric через Pip, который был установлен через Homebrew (OS X 10.6.6). В библиотеке Fabric есть место, где pip говорит, что так и должно быть, однако я не могу запустить базовый fabfile. Я попробовал простой пример Hello World, найденный ...

Задан 21 Apr 2011, 20:44 от juddlyon
  • 41 голос
  • 1 ответ
  • 0 просмотров
1 ответ

pip установить локальный репозиторий git

Я не могу найти правильный способ установить локальный каталог как пакет Python, используя pip. (venv) C:\(...)>pip install . --no-index Ignoring indexes: http://pypi.python.org/simple/ ...

Задан 04 Jan 2013, 14:56 от Fábio Santos
  • 60 голосов
  • 8 ответов
  • 0 просмотров
8 ответов

Выходные данные Сбор psycopg2 с помощью кэшированного psycopg2-2.6.1.tar.gz Сборка колес для собранных пакетов: psycopg2 Запуск setup.py bdist_wheel для psycopg2 Хранится в каталоге: /root/.cache/pip/wheels/e2/9a/5e/7b620848bbc7cfb9084b676f5641 встроенный psycopg2 Установка собранных пакетов: psycopg2 Успешно установленный psycopg2-2.6.1

ли установитьpsycopg2 [http://initd.org/psycopg/]вvirtualenv когда PostgreSQL не установлен в моей системе разработки - MacBook Pro с OS X 10.6? Когда я бегуpip install psycopg2 изнутри моегоvirtualenvЯ получил ошибку, показанную ниже. Я ...

Задан 12 Apr 2011, 01:19 от Matthew Rankin
  • 91 голос
  • 7 ответов
  • 0 просмотров
7 ответов

Что означает «ошибка: опция --single-version-внешне управляемая не распознана»?

Я, кажется, вдруг начал сталкиваться с ошибкойerror: option --single-version-externally-managed not recognized когдаpip installпакеты с различными вариантами (включаяPyObjC а такжеastropy). Я никогда не видел эту ошибку раньше, но теперь она ...

Задан 12 Jan 2013, 18:24 от keflavich
  • 14 голосов
  • 4 ответа
  • 0 просмотров
4 ответа

ipython установить новые модули

Я привык к функциональности R установки пакетов, и я пытаюсь сделать то же самое с ipython. Иногда следующий метод работает, но с другой стороны иногда это н...

Задан 12 Apr 2013, 12:33 от cantdutchthis
  • 4 голосов
  • 1 ответ
  • 0 просмотров
1 ответ

Автономная установка python & pip

Мне нужно установить Python на сервере для запуска сценариев, но сервер не имеет доступа к Интернету.Сервер имеет доступ к локальной сети, которая имеет дост...

Задан 12 May 2015, 04:14 от Alexander McFarlane
  • 43 голосов
  • 5 ответов
  • 0 просмотров
5 ответов

Как мне составить список установленных пакетов в определенном virtualenv?

Ты можешьcd вYOUR_ENV/lib/pythonxx/site-packages/ и посмотрите, но есть ли удобные способы? pip freeze перечислите все установленные пакеты, включая системную среду.

Задан 12 Apr 2013, 02:04 от holys
  • 3 голосов
  • 4 ответа
  • 0 просмотров
4 ответа

Как я могу избавиться от этого предупреждения для обновления с пипа?

Всякий раз, когда я использую pip, он предупреждает меня, что мой pip устарел и что мне нужно обновить его, выполнив

Задан 04 Apr 2016, 19:00 от Saqib Ali
  • 108 голосов
  • 8 ответов
  • 0 просмотров
8 ответов

Автономная установка пакетов Python

Какой самый лучший способ загрузить пакет python и его зависимости от pypi для автономной установки на другую машину? Есть ли простой способ сделать это с по...

Задан 25 Nov 2012, 07:32 от Jeremy BanksChris Drantz
  • 8 голосов
  • 3 ответа
  • 0 просмотров
3 ответа

Установить пакет Python без прав root [дубликата]

На этот вопрос уже есть ответ здесь: Как установить модули Python без рут-доступа? [/questions/7465445/how-to-install-python-modules-without-root-access] 7 ответов Я хочу установить пакет python networkx на сервере, который я использую, и ...

Задан 14 Dec 2013, 15:52 от ilovecp3
  • 89 голосов
  • 4 ответа
  • 0 просмотров
4 ответа

Удаление пакета с «pip» также удаляет зависимые пакеты?

Когда вы используетеpip чтобы установить пакет, все необходимые пакеты также будут установлены вместе с ним (зависимости). Удаление этого пакета также удаляет зависимые пакеты?

Задан 27 Oct 2011, 12:45 от Hossein
  • 22 голосов
  • 5 ответов
  • 0 просмотров
5 ответов

Ошибка: «Нет модуля с именем _markerlib» при установке некоторых пакетов на virtualenv

Я не могу установить некоторые пакеты на virtualenv из-за этой ошибки.Я пытался установить:

Задан 03 Mar 2016, 18:51 от Tales Pádua
  • 3 голосов
  • 2 ответа
  • 0 просмотров
2 ответа

http://people.csail.mit.edu/hubert/pyaudio/

е всего, я новичок в разработке Python. Я посмотрел много уроков и сейчас пытаюсь начать. У меня проблемы с установкой PyAudio и portaudio. Вот ошибки. Когда я делаю следующую командуpython -m pip install pyaudio Я получаю ...

Задан 23 Aug 2018, 18:43 от KevinM1990112qwq
  • 6 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Windows 10 и обновление pip - доступ запрещен

Я сделал новую установку Windows 10, установил python, cygwin и улучшенную консоль под названием ConEmu. После установки python 3.4.3 я выполняю:

Задан 20 Aug 2015, 19:39 от FalloutBoy
Page 1 of 12
1 2 3 4 5